Skip to main content
GET
/
v1
/
admin
/
bots
cURL
curl --request GET \
  --url https://api.botpress.cloud/v1/admin/bots \
  --header 'Authorization: Bearer <token>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "bots": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "tags": {},
      "deployedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "nextToken": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-workspace-id
string
required

Workspace ID

x-multiple-integrations
string

Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Query Parameters

dev
boolean

If true, only dev bots are returned. Otherwise, only production bots are returned.

tags
object

Filter by tags

integrationNames
string[]

Filter bots that have ALL of these integrations installed (by definition name)

pluginNames
string[]

Filter bots that have ALL of these plugins installed (by definition name)

nextToken
string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize
integer

Number of items to return per page (default 20, max 100)

sortField
enum<string>

Sort results by this field

Available options:
createdAt,
updatedAt
sortDirection
enum<string>

Sort results in this direction

Available options:
asc,
desc

Response

Success

bots
object[]
required
meta
object
required
Last modified on July 3, 2026